import React from 'react';
import classNames from 'classnames';

/**
 * image wrapper for vcode
 *
 */
const VCode = (props) => {
    const { className, ...others } = props;
    const cls = classNames({
        'qtui-vcode-img': true,
        [className]: className
    });

    return (
        <div>
            <img className={cls} {...others}/>
        </div>
    );
};

export default VCode;